This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 444449 - server crash: EQ overflowing. The server is probably stuck in an infinite loop.
server crash: EQ overflowing. The server is probably stuck in an infinite loop.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 10:21 EDT by Tom London
Modified: 2009-10-22 08:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log when server crashed (178.54 KB, text/plain)
2008-04-28 10:23 EDT, Tom London
no flags Details
Xorg log (53.43 KB, text/plain)
2008-05-17 16:02 EDT, A. Lok
no flags Details
/var/log/messages (73.99 KB, text/plain)
2008-05-17 16:03 EDT, A. Lok
no flags Details
Xorg log (50.06 KB, text/plain)
2008-06-21 23:49 EDT, Sigurður Jóhanns
no flags Details
Xorg.0.log (121.76 KB, text/plain)
2008-09-18 12:12 EDT, Jack Tanner
no flags Details

  None (edit)
Description Tom London 2008-04-28 10:21:45 EDT
Description of problem:
I got a "hard X server crash": screen became unresponsive, cursor would follow
mouse movement, but stayed frozen in firefox "busy swish" icon.

Cntl-Alt-XXXXX did not work.

Had to hard reboot.

Found this in Xorg.0.log.old:

(II) intel(0): Modeline "1280x1024"x60.0  108.88  1280 1360 1496 1712  1024 1025
1028 1060 -hsync +vsync (63.6 kHz)
(II) intel(0): EDID vendor "MEL", prod id 17217
(II) intel(0): EDID vendor "LEN", prod id 16384
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
<<<<<SNIP>>>>>

With the last 2 lines repeating over and over.

Do no believe I was doing anything extraordinary: was in browser, just entered
"fedoraproject.org" and the page was partially loaded.

[I had viewed a 'youtube' item about 5-10 minutes previous with no issues.]

I attach complete Xorg.0.log.0.  There was nothing I could spot in
/var/log/messages.....

System is Thinkpad X60, Intel 945 graphics, running in "dock" with MEL monitor.
Running compiz with 

LIBGL_ALWAYS_INDIRECT=1 compiz --indirect-rendering --replace ccp || metacity
--replace


Version-Release number of selected component (if applicable):
xorg-x11-server-utils-7.3-3.fc9.i386
xorg-x11-drv-i810-2.2.1-22.fc9.i386
xorg-x11-server-common-1.4.99.901-26.20080415.fc9.i386
xorg-x11-server-Xorg-1.4.99.901-26.20080415.fc9.i386



How reproducible:
First time this happened.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-04-28 10:23:08 EDT
Created attachment 303980 [details]
Xorg.0.log when server crashed

Attaching log.

Anything else that would be useful?
Comment 2 Bug Zapper 2008-05-14 06:18:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 A. Lok 2008-05-17 16:02:02 EDT
Created attachment 305816 [details]
Xorg log
Comment 4 A. Lok 2008-05-17 16:03:28 EDT
Created attachment 305817 [details]
/var/log/messages
Comment 5 A. Lok 2008-05-17 16:05:16 EDT
(sorry should've attached the 2 log files above _after_ this message...)

I have the same issue on a Dell Lattitude C610 laptop with a fresh install of
Fedora 9. The difference is that I'm using the 'radeon' driver for the
integrated Radeon M6 LY card. (and I'm not running Compiz atm)

X freezes sometimes directly at login, sometimes after a minute.

Switching to the 'vesa' driver does help. Interestingly I'm not able to
reproduce these freezes when booting first to runlevel 3 and then running a
'telinit 3' to get into X.


Version-Release number of selected component (if applicable):
xorg-x11-server-common-1.4.99.901-29.20080415.fc9.i386
xorg-x11-server-utils-7.3-3.fc9.i386
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386
xorg-x11-drv-ati-6.8.0-14.fc9.i386
Comment 6 A. Lok 2008-05-17 16:07:21 EDT
'telinit 3' should read 'telinit 5'
Comment 7 Sigurður Jóhanns 2008-06-21 23:48:55 EDT
I have this issue on a laptop with RV350 (Mobility Radeon 9600). Fresh,
up-to-date F9 install.
With xorg.conf driver ati or radeon, I can't get into server at all. 
*If I boot with rhgb the screen freezes after few seconds of rhgb with garbled
screen.
*If I boot to runlevel 3 and then init 5 I will get the gdm login screen intact
on screen but as soon as it appears, the screen freezes with Xorg 99% CPU and it
can not be killed.

Not much to it, but I'll attach the "looped" Xorg.0.log.

Is there anything more that one can do to help debug this more? Any other logs
or info that would be helpful?
Comment 8 Sigurður Jóhanns 2008-06-21 23:49:34 EDT
Created attachment 309991 [details]
Xorg log

Xorg.0.log of crashed server
Comment 9 Uwe Kubosch 2008-07-08 10:37:49 EDT
I have the same symptom when I use the elographics touchscreen driver.

I can attach configs and logs if desired.

Any tip on a fix or workaround?
Comment 10 Jack Tanner 2008-09-18 12:12:26 EDT
Created attachment 317089 [details]
Xorg.0.log

Same here. This lock-up happens about once a day on average! Very annoying.

Still present in xorg-x11-server-Xorg-1.5.0-1.fc9.x86_64 .

Hardware:
http://www.smolts.org/client/show/pub_868ba156-1c6d-47e0-9f9e-22aec3671cc5
Comment 11 Bug Zapper 2009-06-09 20:29:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 13:38:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.